<?php
/**
 * Plugin Name: TungVT Product Views
 * Plugin URI: https://hiroaz.com
 * Description: Plugin đếm số lượt xem sản phẩm WooCommerce và hiển thị dưới mô tả ngắn.
 * Version: 1.1
 * Author: TungVT
 * Author URI: https://hiroaz.com
 * License: GPL2
 */

// Đếm số lượt xem sản phẩm
function tungvt_count_product_views() {
    if (is_singular('product')) {
        $post_id = get_the_ID();
        $views = (int) get_post_meta($post_id, 'product_views', true);
        $views++;
        update_post_meta($post_id, 'product_views', $views);
    }
}
add_action('template_redirect', 'tungvt_count_product_views');

// Hiển thị số lượt xem dưới mô tả ngắn sản phẩm
function tungvt_show_product_views() {
    if (is_singular('product')) {
        $product_views = (int) get_post_meta(get_the_ID(), 'product_views', true);
        echo '<p><strong>Lượt xem:</strong> ' . $product_views . '</p>';
    }
}
add_action('woocommerce_single_product_summary', 'tungvt_show_product_views', 25);
